Home: Perl Programming Help: Win32 Programming Help:
Problem installing the Win32-daemon.ppd module for perl



albert_newton
New User

Jan 28, 2009, 9:11 PM


Views: 14226
Problem installing the Win32-daemon.ppd module for perl

I am trying to install the Win32-daemon.ppd module for perl.
I try the following, but it gives the corresponding error message:


C:\Perl\bin>ppm install http://www.roth.net/perl/packages/win32-daemon.ppd
ppm install failed: The PPD does not provide code to install for this platform

How do I get the Win32-daemon.ppd installed for perl?


FishMonger
Veteran / Moderator

Jan 29, 2009, 2:58 AM


Views: 14223
Re: [albert_newton] Problem installing the Win32-daemon.ppd module for perl

What platform are you trying to install it on?


albert_newton
New User

Jan 29, 2009, 7:07 AM


Views: 14219
Re: [albert_newton] Problem installing the Win32-daemon.ppd module for perl

I am trying to install it on my Windows XP.


FishMonger
Veteran / Moderator

Jan 29, 2009, 7:26 AM


Views: 14217
Re: [albert_newton] Problem installing the Win32-daemon.ppd module for perl

Is it the 64 bit version? If so, then that's why the installation is failing.


albert_newton
New User

Jan 29, 2009, 7:30 AM


Views: 14215
Re: [FishMonger] Problem installing the Win32-daemon.ppd module for perl

My version of Windows XP is 32 bit.


KevinR
Veteran


Jan 29, 2009, 9:10 AM


Views: 14210
Re: [albert_newton] Problem installing the Win32-daemon.ppd module for perl

You might want to try contacting Dave Roth. Provide him with your perl version and the Operating system and as much info on your perl installation (perl -V)

http://www.roth.net/contact/
-------------------------------------------------


KevinR
Veteran


Jan 29, 2009, 9:23 AM


Views: 14208
Re: [albert_newton] Problem installing the Win32-daemon.ppd module for perl

The module installed OK for me on my old W98 test server. I used the GUI PPM instead of the command line interface but I don't think that should make a difference. So I suspect its something to do with how your version of perl was installed. Contacting Roth might help you figure out the problem.
-------------------------------------------------